Enregistrer un consentement général depuis un terminal
curl --request POST \
--url https://egimgarsud.gimpayapp.com/api/v1/general-consents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refUsager": "<string>",
"refContributeur": "<string>",
"marque": "<string>",
"modele": "<string>",
"numeroSerie": "<string>"
}
'import requests
url = "https://egimgarsud.gimpayapp.com/api/v1/general-consents"
payload = {
"refUsager": "<string>",
"refContributeur": "<string>",
"marque": "<string>",
"modele": "<string>",
"numeroSerie": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
refUsager: '<string>',
refContributeur: '<string>',
marque: '<string>',
modele: '<string>',
numeroSerie: '<string>'
})
};
fetch('https://egimgarsud.gimpayapp.com/api/v1/general-consents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": {
"id": 123,
"dateHeureCreation": "2023-11-07T05:31:56Z",
"dateDebut": "2023-11-07T05:31:56Z",
"dateFin": "2023-11-07T05:31:56Z",
"dateHeureValidite": "2023-11-07T05:31:56Z",
"dateHeureRevocation": "2023-11-07T05:31:56Z",
"texteDeConsentementSpecifique": "<string>",
"refConditonUtilisationGen": "<string>",
"motifRevocation": "<string>",
"refUsagerDestinataire": "<string>",
"refContributeurEmetteur": "<string>",
"refConsentement": "<string>",
"numeroSerieTerminal": "<string>",
"refDemandeAchatACredit": "<string>"
}
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}Consentement général et spécifique
Enregistrer un consentement général depuis un terminal
POST
/
api
/
v1
/
general-consents
Enregistrer un consentement général depuis un terminal
Authorizations
Jeton émis par POST /api/v1/auth/token.
Body
application/json
Corps de POST /api/v1/general-consents : références usager / contributeur et identité du terminal (marque, modèle, numéro de série).
Response
Consentement général enregistré.
Enveloppe standard de toutes les réponses (sauf auth).
⌘I